#!venv/bin/python3

import json


class Recipe(object):
    def __init__(self, name, description, additional_text, servings, ingredients, preparation, preparation_time, upvotes, downvotes, contains_meat_or_meat_products, contains_fish, contains_animal_products, enhancements, source):
        self.name = name
        self.description = description
        self.additional_text = additional_text
        self.servings = servings
        self.ingredients = json.loads(ingredients)
        self.preparation = json.loads(preparation)
        self.preparation_time = preparation_time
        self.upvotes = upvotes
        self.downvotes = downvotes
        self.contains_meat_or_meat_products = contains_meat_or_meat_products
        self.contains_fish = contains_fish
        self.contains_animal_products = contains_animal_products
        self.enhancements = json.loads(enhancements)
        self.source = source
